./net/prosody [communications server for Jabber/XMPP written in Lua]
[+] Add this package to your ports tracker

[ CVSweb ] [ Homepage ] [ RSS feed ]

Version: 0.10.2, Package name: prosody-0.10.2
Maintained by: Henrik Friedrichsen
Master sites:
Description
Prosody is a flexible communications server for Jabber/XMPP written in
Lua. It aims to be easy to use, and light on resources. For developers
it aims to be easy to extend and give a flexible system on which to
rapidly develop added functionality, or prototype new protocols.


Filesize: 324.096 KB
Version History (View Complete History)
  • (2018-06-05) Updated to version: prosody-0.10.2
  • (2017-11-05) Updated to version: prosody-0.10.0
  • (2017-05-15) Updated to version: prosody-0.9.12
  • (2016-01-29) Updated to version: prosody-0.9.10
  • (2016-01-11) Updated to version: prosody-0.9.9
  • (2015-04-03) Updated to version: prosody-0.9.8
  • (2015-01-15) Updated to version: prosody-0.9.7
  • (2014-10-28) Updated to version: prosody-0.9.6
  • (2014-04-25) Updated to version: prosody-0.9.4
  • (2012-01-26) Updated to version: prosody-0.8.2
[show/hide] View available PLISTS (Can be a lot of data)

CVS Commit History:

   2018-09-04 06:46:28 by Marc Espie | Files touched by this commit (918)
Log message:
convert to PKGSTEM
   2018-09-04 06:46:28 by Marc Espie | Files touched by this commit (918)
Log message:
convert to PKGSTEM
   2018-09-04 06:46:28 by Marc Espie | Files touched by this commit (918)
Log message:
convert to PKGSTEM
   2018-06-19 05:55:26 by Jeremie Courreges-Anglas | Files touched by this commit (1)
Log message:
Use -std=c99 like upstream does, fixes the build on gcc archs
   2018-06-06 01:30:05 by Jasper Lievisse Adriaanse | Files touched by this commit (2)
Log message:
security fix for CVE-2018-10847
from Henrik Friedrichsen (MAINTAINER)
   2018-06-06 01:30:05 by Jasper Lievisse Adriaanse | Files touched by this commit (2)
Log message:
security fix for CVE-2018-10847
from Henrik Friedrichsen (MAINTAINER)
   2018-06-04 13:53:58 by Landry Breuil | Files touched by this commit (4)
Log message:
Security update to prosody 0.10.2, from Maintainer Henrik Friedrichsen.
Cf https://prosody.im/security/advisory_20180531/,
https://blog.prosody.im/prosody-0-10-1-released/ and
https://blog.prosody.im/prosody-0-10-2-security-release/
   2018-06-04 13:53:58 by Landry Breuil | Files touched by this commit (4)
Log message:
Security update to prosody 0.10.2, from Maintainer Henrik Friedrichsen.
Cf https://prosody.im/security/advisory_20180531/,
https://blog.prosody.im/prosody-0-10-1-released/ and
https://blog.prosody.im/prosody-0-10-2-security-release/
   2018-06-04 13:53:58 by Landry Breuil | Files touched by this commit (4)
Log message:
Security update to prosody 0.10.2, from Maintainer Henrik Friedrichsen.
Cf https://prosody.im/security/advisory_20180531/,
https://blog.prosody.im/prosody-0-10-1-released/ and
https://blog.prosody.im/prosody-0-10-2-security-release/
   2018-06-04 13:53:58 by Landry Breuil | Files touched by this commit (4)
Log message:
Security update to prosody 0.10.2, from Maintainer Henrik Friedrichsen.
Cf https://prosody.im/security/advisory_20180531/,
https://blog.prosody.im/prosody-0-10-1-released/ and
https://blog.prosody.im/prosody-0-10-2-security-release/
   2018-01-17 20:22:34 by Daniel Jakots | Files touched by this commit (2)
Log message:
In OpenBSD land, certs are in /etc/ssl/cert.pem, we don't have a
/etc/ssl/certs directory
Reported by Nick Guenther (nick [a] cousu [.] ca)
ok Henrik Friedrichsen (maintainer) who noticed a typo in my diff
test/ok jung@
   2018-01-17 20:22:34 by Daniel Jakots | Files touched by this commit (2)
Log message:
In OpenBSD land, certs are in /etc/ssl/cert.pem, we don't have a
/etc/ssl/certs directory
Reported by Nick Guenther (nick [a] cousu [.] ca)
ok Henrik Friedrichsen (maintainer) who noticed a typo in my diff
test/ok jung@
   2018-01-11 12:27:12 by Robert Peichaer | Files touched by this commit (624)
Log message:
Change the shebang line from /bin/sh to /bin/ksh in all ports rc.d
daemon scripts and bump subpackages that contain the *.rc scripts.
discussed with and OK aja@
OK tb
   2018-01-11 12:27:12 by Robert Peichaer | Files touched by this commit (624)
Log message:
Change the shebang line from /bin/sh to /bin/ksh in all ports rc.d
daemon scripts and bump subpackages that contain the *.rc scripts.
discussed with and OK aja@
OK tb
   2017-05-14 10:39:02 by Daniel Jakots | Files touched by this commit (2)
Log message:
Missed in previous
   2017-05-14 10:39:02 by Daniel Jakots | Files touched by this commit (2)
Log message:
Missed in previous
   2017-05-14 10:36:55 by Daniel Jakots | Files touched by this commit (5)
Log message:
Update to prosody-0.9.12
From Henrik Friedrichsen (maintainer)
   2017-05-14 10:36:55 by Daniel Jakots | Files touched by this commit (5)
Log message:
Update to prosody-0.9.12
From Henrik Friedrichsen (maintainer)
   2017-05-14 10:36:55 by Daniel Jakots | Files touched by this commit (5)
Log message:
Update to prosody-0.9.12
From Henrik Friedrichsen (maintainer)
   2017-05-14 10:36:55 by Daniel Jakots | Files touched by this commit (5)
Log message:
Update to prosody-0.9.12
From Henrik Friedrichsen (maintainer)
   2017-05-14 10:36:55 by Daniel Jakots | Files touched by this commit (5)
Log message:
Update to prosody-0.9.12
From Henrik Friedrichsen (maintainer)
   2016-05-16 06:11:48 by Jeremie Courreges-Anglas | Files touched by this commit (1)
Log message:
Drop dep on luaevent, use_libevent is broken.
Discussed with maintainer, if use_libevent is set prosody exits almost
immediately after entering the event loop.  Our luaevent port is
probably too old and needs to be fixed.  luaevent may be re-added to
rdeps when fixed.
   2016-03-24 06:28:42 by Jeremie Courreges-Anglas | Files touched by this commit (2)
Log message:
Workaround for prosody / luasec-0.6 incompatibility.
Before that, prosody would fail to load luasec, resulting in no TLS
support available.  Diff cooked by Henrik Friedrichsen (maintainer),
ok gsoares@
   2016-03-24 06:28:42 by Jeremie Courreges-Anglas | Files touched by this commit (2)
Log message:
Workaround for prosody / luasec-0.6 incompatibility.
Before that, prosody would fail to load luasec, resulting in no TLS
support available.  Diff cooked by Henrik Friedrichsen (maintainer),
ok gsoares@
   2016-03-18 14:49:28 by Christian Weisgerber | Files touched by this commit (27)
Log message:
remove SHARED_ONLY from simple lua ports
   2016-02-16 14:42:43 by Stuart Henderson | Files touched by this commit (2)
Log message:
add MySQL notes to README (it needs LD_PRELOAD libpthread).
ok Henrik Friedrichsen (maintainer), giovanni@
   2016-02-16 14:42:43 by Stuart Henderson | Files touched by this commit (2)
Log message:
add MySQL notes to README (it needs LD_PRELOAD libpthread).
ok Henrik Friedrichsen (maintainer), giovanni@
   2016-01-29 06:36:14 by Jasper Lievisse Adriaanse | Files touched by this commit (2)
Log message:
security update to prosody-0.9.10
   2016-01-29 06:36:14 by Jasper Lievisse Adriaanse | Files touched by this commit (2)
Log message:
security update to prosody-0.9.10
   2016-01-29 05:13:55 by Stuart Henderson | Files touched by this commit (3)
Log message:
security update to prosody-0.9.10, ok jasper@
   2016-01-29 05:13:55 by Stuart Henderson | Files touched by this commit (3)
Log message:
security update to prosody-0.9.10, ok jasper@
   2016-01-29 05:13:55 by Stuart Henderson | Files touched by this commit (3)
Log message:
security update to prosody-0.9.10, ok jasper@
   2016-01-27 14:10:19 by Stuart Henderson | Files touched by this commit (1)
Log message:
repair previous; run_tests.sh was ^lua not #!
   2016-01-27 14:06:05 by Stuart Henderson | Files touched by this commit (4)
Log message:
"patch + SUBST_CMD" -> "sed -i" for prosody's #! lines, no pkg change
   2016-01-27 14:06:05 by Stuart Henderson | Files touched by this commit (4)
Log message:
"patch + SUBST_CMD" -> "sed -i" for prosody's #! lines, no pkg change
   2016-01-27 14:06:05 by Stuart Henderson | Files touched by this commit (4)
Log message:
"patch + SUBST_CMD" -> "sed -i" for prosody's #! lines, no pkg change
   2016-01-27 14:06:05 by Stuart Henderson | Files touched by this commit (4)
Log message:
"patch + SUBST_CMD" -> "sed -i" for prosody's #! lines, no pkg change
   2016-01-11 05:16:26 by Jasper Lievisse Adriaanse | Files touched by this commit (1)
Log message:
missed in previous..
   2016-01-11 05:15:57 by Jasper Lievisse Adriaanse | Files touched by this commit (2)
Log message:
security update to Prosody 0.9.9, from maintainer Henrik Friedrichsen
(plus, compared to Henrik's diff, reinstate some make/MAKE_PROGRAM patches)
- mod_http_files could serve requests outside of the configured public root
- server-to-server dialback authentication (mod_dialback) weak RNG
   2016-01-11 05:11:36 by Stuart Henderson | Files touched by this commit (4)
Log message:
security update to Prosody 0.9.9, from maintainer Henrik Friedrichsen
(plus, compared to Henrik's diff, reinstate some make/MAKE_PROGRAM patches)
- mod_http_files could serve requests outside of the configured public root
- server-to-server dialback authentication (mod_dialback) weak RNG
   2016-01-11 05:11:36 by Stuart Henderson | Files touched by this commit (4)
Log message:
security update to Prosody 0.9.9, from maintainer Henrik Friedrichsen
(plus, compared to Henrik's diff, reinstate some make/MAKE_PROGRAM patches)
- mod_http_files could serve requests outside of the configured public root
- server-to-server dialback authentication (mod_dialback) weak RNG
   2016-01-11 05:11:36 by Stuart Henderson | Files touched by this commit (4)
Log message:
security update to Prosody 0.9.9, from maintainer Henrik Friedrichsen
(plus, compared to Henrik's diff, reinstate some make/MAKE_PROGRAM patches)
- mod_http_files could serve requests outside of the configured public root
- server-to-server dialback authentication (mod_dialback) weak RNG
   2016-01-11 05:11:36 by Stuart Henderson | Files touched by this commit (4)
Log message:
security update to Prosody 0.9.9, from maintainer Henrik Friedrichsen
(plus, compared to Henrik's diff, reinstate some make/MAKE_PROGRAM patches)
- mod_http_files could serve requests outside of the configured public root
- server-to-server dialback authentication (mod_dialback) weak RNG
   2015-08-23 05:01:49 by Jeremie Courreges-Anglas | Files touched by this commit (2)
Log message:
Document the correct luadbi PostgreSQL package name.
From Adam Wolk, ok Henrik Friedrichsen (maintainer)
   2015-08-23 05:01:49 by Jeremie Courreges-Anglas | Files touched by this commit (2)
Log message:
Document the correct luadbi PostgreSQL package name.
From Adam Wolk, ok Henrik Friedrichsen (maintainer)
   2015-04-04 05:42:17 by Edd Barrett | Files touched by this commit (4)
Log message:
net/prosody: enable tests.
OK jasper@, thanks.
   2015-04-04 05:42:17 by Edd Barrett | Files touched by this commit (4)
Log message:
net/prosody: enable tests.
OK jasper@, thanks.
   2015-04-04 05:42:17 by Edd Barrett | Files touched by this commit (4)
Log message:
net/prosody: enable tests.
OK jasper@, thanks.
   2015-04-04 05:42:17 by Edd Barrett | Files touched by this commit (4)
Log message:
net/prosody: enable tests.
OK jasper@, thanks.
   2015-04-04 05:38:52 by Edd Barrett | Files touched by this commit (2)
Log message:
net/prosody: Apply fix for CVE-2015-2059 to OPENBSD_5_7.
OK jasper@, thanks.
   2015-04-04 05:38:52 by Edd Barrett | Files touched by this commit (2)
Log message:
net/prosody: Apply fix for CVE-2015-2059 to OPENBSD_5_7.
OK jasper@, thanks.
   2015-04-04 05:36:18 by Edd Barrett | Files touched by this commit (2)
Log message:
net/prosody: Apply fix for CVE-2015-2059 to OPENBSD_5_6.
OK jasper@, thanks.
   2015-04-04 05:36:18 by Edd Barrett | Files touched by this commit (2)
Log message:
net/prosody: Apply fix for CVE-2015-2059 to OPENBSD_5_6.
OK jasper@, thanks.
   2015-04-03 09:23:57 by Edd Barrett | Files touched by this commit (4)
Log message:
Update to prosody-0.9.8.
Security update .
From MAINTAINER, OK jca@. Thanks.
   2015-04-03 09:23:57 by Edd Barrett | Files touched by this commit (4)
Log message:
Update to prosody-0.9.8.
Security update .
From MAINTAINER, OK jca@. Thanks.
   2015-04-03 09:23:57 by Edd Barrett | Files touched by this commit (4)
Log message:
Update to prosody-0.9.8.
Security update .
From MAINTAINER, OK jca@. Thanks.
   2015-04-03 09:23:57 by Edd Barrett | Files touched by this commit (4)
Log message:
Update to prosody-0.9.8.
Security update .
From MAINTAINER, OK jca@. Thanks.
   2015-01-15 04:13:21 by Edd Barrett | Files touched by this commit (5)
Log message:
Update to prosody-0.9.7.
MAINTAINER has tested and is happy. Input from sthen.
OK sthen@
   2015-01-15 04:13:21 by Edd Barrett | Files touched by this commit (5)
Log message:
Update to prosody-0.9.7.
MAINTAINER has tested and is happy. Input from sthen.
OK sthen@
   2015-01-15 04:13:21 by Edd Barrett | Files touched by this commit (5)
Log message:
Update to prosody-0.9.7.
MAINTAINER has tested and is happy. Input from sthen.
OK sthen@
   2015-01-15 04:13:21 by Edd Barrett | Files touched by this commit (5)
Log message:
Update to prosody-0.9.7.
MAINTAINER has tested and is happy. Input from sthen.
OK sthen@
   2015-01-15 04:13:21 by Edd Barrett | Files touched by this commit (5)
Log message:
Update to prosody-0.9.7.
MAINTAINER has tested and is happy. Input from sthen.
OK sthen@
   2014-11-27 01:12:52 by Landry Breuil | Files touched by this commit (3)
Log message:
Enable posix module, otherwise the default config doesn't work.
While here enable compression module since we enforce dependency on
luazlib. We dont enable libevent use by default since it seems broken
(reported as https://code.google.com/p/lxmppd/issues/detail?id=452)
ok MAINTAINER jasper@
   2014-11-27 01:12:52 by Landry Breuil | Files touched by this commit (3)
Log message:
Enable posix module, otherwise the default config doesn't work.
While here enable compression module since we enforce dependency on
luazlib. We dont enable libevent use by default since it seems broken
(reported as https://code.google.com/p/lxmppd/issues/detail?id=452)
ok MAINTAINER jasper@
   2014-11-27 01:12:52 by Landry Breuil | Files touched by this commit (3)
Log message:
Enable posix module, otherwise the default config doesn't work.
While here enable compression module since we enforce dependency on
luazlib. We dont enable libevent use by default since it seems broken
(reported as https://code.google.com/p/lxmppd/issues/detail?id=452)
ok MAINTAINER jasper@
   2014-10-27 07:41:17 by Jasper Lievisse Adriaanse | Files touched by this commit (2)
Log message:
- update to prosody-0.9.6
from Henrik Friedrichsen (MAINTAINER)
   2014-10-27 07:41:17 by Jasper Lievisse Adriaanse | Files touched by this commit (2)
Log message:
- update to prosody-0.9.6
from Henrik Friedrichsen (MAINTAINER)
   2011-07-31 20:13:45 by Jolan Luff | Files touched by this commit (10)
Log message:
remove myself as maintainer
   2011-06-02 07:41:42 by Antoine Jacoutot | Files touched by this commit (238)
Log message:
Add a consistent header that substitutes FULLPKGNAME for the READMEs.
ok jasper@ sthen@
   2011-06-02 07:41:42 by Antoine Jacoutot | Files touched by this commit (238)
Log message:
Add a consistent header that substitutes FULLPKGNAME for the READMEs.
ok jasper@ sthen@
   2010-11-19 15:31:39 by Marc Espie | Files touched by this commit (372)
Log message:
new depends
   2010-11-11 09:27:55 by Marc Espie | Files touched by this commit (46)
Log message:
new WANTLIB
   2010-11-10 16:35:41 by Antoine Jacoutot | Files touched by this commit (2)
Log message:
Trailing line.
   2010-11-10 16:35:41 by Antoine Jacoutot | Files touched by this commit (2)
Log message:
Trailing line.
   2010-11-10 12:25:25 by Jasper Lievisse Adriaanse | Files touched by this commit (5)
Log message:
- switch to pkg-readmes
   2010-11-10 12:25:25 by Jasper Lievisse Adriaanse | Files touched by this commit (5)
Log message:
- switch to pkg-readmes
   2010-11-10 12:25:25 by Jasper Lievisse Adriaanse | Files touched by this commit (5)
Log message:
- switch to pkg-readmes
   2010-11-10 12:25:25 by Jasper Lievisse Adriaanse | Files touched by this commit (5)
Log message:
- switch to pkg-readmes
   2010-11-10 12:25:25 by Jasper Lievisse Adriaanse | Files touched by this commit (5)
Log message:
- switch to pkg-readmes
   2010-10-18 12:37:00 by Marc Espie | Files touched by this commit (357)
Log message:
USE_GROFF=Yes
   2010-07-26 12:11:42 by Jolan Luff | Files touched by this commit (8)
Log message:
- switch to using the built-in privilege dropping
- provide a better default config
- fix some bugs when using the control program
   2010-07-26 12:11:42 by Jolan Luff | Files touched by this commit (8)
Log message:
- switch to using the built-in privilege dropping
- provide a better default config
- fix some bugs when using the control program
   2010-07-26 12:11:42 by Jolan Luff | Files touched by this commit (8)
Log message:
- switch to using the built-in privilege dropping
- provide a better default config
- fix some bugs when using the control program
   2010-07-26 12:11:42 by Jolan Luff | Files touched by this commit (8)
Log message:
- switch to using the built-in privilege dropping
- provide a better default config
- fix some bugs when using the control program
   2010-07-26 12:11:42 by Jolan Luff | Files touched by this commit (8)
Log message:
- switch to using the built-in privilege dropping
- provide a better default config
- fix some bugs when using the control program
   2010-07-26 12:11:42 by Jolan Luff | Files touched by this commit (8)
Log message:
- switch to using the built-in privilege dropping
- provide a better default config
- fix some bugs when using the control program
   2010-07-26 12:11:42 by Jolan Luff | Files touched by this commit (8)
Log message:
- switch to using the built-in privilege dropping
- provide a better default config
- fix some bugs when using the control program
   2010-07-26 12:11:42 by Jolan Luff | Files touched by this commit (8)
Log message:
- switch to using the built-in privilege dropping
- provide a better default config
- fix some bugs when using the control program
   2010-07-25 19:25:55 by Jolan Luff | Files touched by this commit (1)
Log message:
depend on luazlib since the optional compression module uses it
   2010-07-25 17:42:25 by Jolan Luff | Files touched by this commit (4)
Log message:
update to 0.7.0
   2010-07-25 17:42:25 by Jolan Luff | Files touched by this commit (4)
Log message:
update to 0.7.0
   2010-07-25 17:42:25 by Jolan Luff | Files touched by this commit (4)
Log message:
update to 0.7.0
   2010-07-25 17:42:25 by Jolan Luff | Files touched by this commit (4)
Log message:
update to 0.7.0
   2009-12-06 18:16:09 by Jolan Luff | Files touched by this commit (3)
Log message:
update to 0.6.1
   2009-12-06 18:16:09 by Jolan Luff | Files touched by this commit (3)
Log message:
update to 0.6.1
   2009-12-06 18:16:09 by Jolan Luff | Files touched by this commit (3)
Log message:
update to 0.6.1
   2009-10-02 11:36:53 by Jolan Luff | Files touched by this commit (2)
Log message:
update to 0.5.2
   2009-10-02 11:36:53 by Jolan Luff | Files touched by this commit (2)
Log message:
update to 0.5.2
   2009-09-11 10:59:23 by Jolan Luff | Files touched by this commit (1)
Log message:
missing RUN_DEPENDS on luasec